

// ピン番号 (Standard pinout)
#define PIN_LED1 0
#define PIN_LED2 21
#define PIN_LED3 22
#define PIN_LED4 23
#define PIN_SW2 2
#define PIN_SW31 18
#define PIN_SW32 19
#define PIN_SW33 20
#define PIN_SDCD 14
#define PIN_SDCS 4
#define PIN_RTCINT 11
#define PIN_BNORST 3
#define PIN_BNOINT 10
#define PIN_BNOBOOT 1
#define PIN_CCSWAKE 12
#define PIN_CCSRST 13


void setup() {
  // ピン初期設定
  pinMode(PIN_LED1, OUTPUT);
  pinMode(PIN_LED2, OUTPUT);
  pinMode(PIN_LED3, OUTPUT);
  pinMode(PIN_LED4, OUTPUT);
  pinMode(PIN_SW2, INPUT_PULLUP);
  pinMode(PIN_SW31, INPUT_PULLUP);
  pinMode(PIN_SW32, INPUT_PULLUP);
  pinMode(PIN_SW33, INPUT_PULLUP);
  pinMode(PIN_SDCD, INPUT_PULLUP);
  digitalWrite(PIN_SDCS, HIGH);
  pinMode(PIN_SDCS, OUTPUT);
  digitalWrite(PIN_BNORST, HIGH);
  pinMode(PIN_BNORST, OUTPUT);
  digitalWrite(PIN_BNOBOOT, HIGH);
  pinMode(PIN_BNOBOOT, OUTPUT);
  digitalWrite(PIN_CCSWAKE, HIGH);
  pinMode(PIN_CCSWAKE, OUTPUT);
  digitalWrite(PIN_CCSRST, HIGH);
  pinMode(PIN_CCSRST, OUTPUT);

  // LED1-4点灯
  digitalWrite(PIN_LED1, HIGH);
  digitalWrite(PIN_LED2, HIGH);
  digitalWrite(PIN_LED3, HIGH);
  digitalWrite(PIN_LED4, HIGH);
  delay(1000);

  // LED1-4消灯
  digitalWrite(PIN_LED1, LOW);
  digitalWrite(PIN_LED2, LOW);
  digitalWrite(PIN_LED3, LOW);
  digitalWrite(PIN_LED4, LOW);
  delay(1000);
}


void loop() {
  // SW2が押されていればLED1点灯 そうでなければ消灯
  if(0==digitalRead(PIN_SW2)){
    digitalWrite(PIN_LED1, HIGH);
  }else{
    digitalWrite(PIN_LED1, LOW);
  }

  // SW3-1がONならばLED2点灯 そうでなければ消灯
  if(0==digitalRead(PIN_SW31)){
    digitalWrite(PIN_LED2, HIGH);
  }else{
    digitalWrite(PIN_LED2, LOW);
  }

  // SW3-2がONならばLED3点灯 そうでなければ消灯
  if(0==digitalRead(PIN_SW32)){
    digitalWrite(PIN_LED3, HIGH);
  }else{
    digitalWrite(PIN_LED3, LOW);
  }

  // SW3-3がONならばLED4点灯 そうでなければ消灯
  if(0==digitalRead(PIN_SW33)){
    digitalWrite(PIN_LED4, HIGH);
  }else{
    digitalWrite(PIN_LED4, LOW);
  }
}
